Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Add Widget fails with "Could not create a python ScriptEngine"

  1. #1
    Join Date
    Jun 2008
    Location
    San Jose, Costa Rica
    Posts
    5

    Unhappy Add Widget fails with "Could not create a python ScriptEngine"

    I attempted to add the GooglePus and Plasmacon widgets to the desktop. Both failed with the error "Could not create a python ScriptEngine for the ... widget." The out from output from plasmoidviewer is the same for both:

    plasmoidviewer(6423)/python (plugin): Failed to import module
    Traceback (most recent call last):
    File "/usr/share/kde4/apps/plasma_scriptengine_python/pyappletscript.py", line 20, in <module>
    from PyQt4.QtCore import *
    ImportError: /usr/lib/python2.7/site-packages/sip.so: undefined symbol: PyProperty_Type

    I need help in solving this problem. I am running openSUSE 12.1, installed from the Live/Install KDE iso image. The required python modules do exist:

    /usr/share/kde4/apps/plasma_scriptengine_python/plasma_importer.py
    /usr/lib/python2.7/site-packages/PyKDE4/plasmascript.py

  2. #2

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    I am having the same problem... Goggling and searching the forums here doesn't yield any relevant recent results. Does anyone have any ideas?

  3. #3
    Join Date
    Feb 2010
    Location
    Upstate New York, USA
    Posts
    480

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    Quote Originally Posted by acron1 View Post
    I am having the same problem... Goggling and searching the forums here doesn't yield any relevant recent results. Does anyone have any ideas?
    I have had the same problem with gmail-notifier and other plasmoids. The package you need to install is python-kdebase4. If your KDE is at 4.7.4, this will require python-kde4 @ 4.7.4.

    Until very recently (see http://forums.opensuse.org/english/g...ml#post2430244 et al), the KDE libraries were in a state of flux.

    In any case, install python-kdebase4 and re-add the plasmoids to desktop or panels or wherever.
    Lap: Gateway NV79, i5-430, 4GB, 2 x 500GB HD, Intel GMA HD
    openSUSE Leap 15.0 x64 + 42.3 x64, KDE 5.15.3, Ubuntu 16.04 LTS, Windows 7

    Test:: openSUSE 15.0, KDE Plasma, Windows/XP/SP3 guest.

  4. #4

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    I don't know how (python-kdebase4 was already installed) but I reinstalled it and everything works now... +rep

  5. #5

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    Running Opensuse 12.1, I also had this problem: Could not create a python ScriptEngine

    Reinstalling python-kdebase4 solved it, thanks guys

  6. #6

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    I reinstalled both python-kde4 and python-kdebase4, but I'm also getting this error for the Clementine plasmoid. Using 12.1.

  7. #7

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    I have 2- opensuse 12.1 on the same machine. One I use for compiling
    and the other one is where I install the compiled application.
    The one I use to compile has no problem with plasmoid but the other one
    has the same problem with this thread. I solved it by installing the pyqt4 devel package.
    Downside of installing the pyqt devel package is, it will pull lots of other devel packages also.

    The name of the package in the repositories is
    python-qt4-devel.
    People who do not break things first will never learn to create anything

  8. #8

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    Quote Originally Posted by conram View Post
    I solved it by installing the pyqt4 devel package.
    Downside of installing the pyqt devel package is, it will pull lots of other devel packages also.
    This solved my problem perfectly. Thank you.

  9. #9

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    Quote Originally Posted by SG2Tiger View Post
    This solved my problem perfectly. Thank you.

    No problem, I am glad it worked for you.
    People who do not break things first will never learn to create anything

  10. #10

    Default Re: Add Widget fails with "Could not create a python ScriptEngine"

    Quote Originally Posted by conram View Post
    I have 2- opensuse 12.1 on the same machine. One I use for compiling
    and the other one is where I install the compiled application.
    The one I use to compile has no problem with plasmoid but the other one
    has the same problem with this thread. I solved it by installing the pyqt4 devel package.
    Downside of installing the pyqt devel package is, it will pull lots of other devel packages also.

    The name of the package in the repositories is
    python-qt4-devel.
    Thank you, this solved my problem.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •